Bug 739621 - [abrt] openoffice.org-writer-1:3.2.0-12.35.fc13: cppu::throwException: (SIGBUS)
Summary: [abrt] openoffice.org-writer-1:3.2.0-12.35.fc13: cppu::throwException: (SIGBUS)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 13
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0471f40b9db047aedd727d46eb0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 16:11 UTC by Peter Land
Modified: 2012-01-16 14:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-16 14:18:46 UTC


Attachments (Terms of Use)
File: backtrace (105.23 KB, text/plain)
2011-09-19 16:11 UTC, Peter Land
no flags Details

Description Peter Land 2011-09-19 16:11:53 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/swriter.bin -writer
component: openoffice.org
crash_function: cppu::throwException
executable: /usr/lib64/openoffice.org3/program/swriter.bin
kernel: 2.6.34.9-69.fc13.x86_64
package: openoffice.org-writer-1:3.2.0-12.35.fc13
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 7 (SIGBUS)
release: Fedora release 13 (Goddard)
time: 1316447579
uid: 17045

How to reproduce
-----
1. Tried to save spreadsheet (open a very long time) as Microsoft XLS
2. OpenOffice died
3.

Comment 1 Peter Land 2011-09-19 16:11:56 UTC
Created attachment 523864 [details]
File: backtrace

Comment 2 Caolan McNamara 2011-09-20 08:16:30 UTC
SIGBUS, an unexpected signal to crash us.

a) Are you able to reproduce this
b) And/or is there anything interesting in /var/log/messages around the time it crashed.

Comment 3 Stephan Bergmann 2011-09-20 08:54:50 UTC
If I'm not mistaken, the SIGBUS is merely due to a call instruction going nowhere.  Björn Michaelsen recently showed me a similar crash, but at that time I thought it was cppu::throwException successfully throwing an exception that was not caught anywhere up on the stack.  But with the SIGBUS, it looks rather like cppu::throwException is broken here (though still unclear why).


Note You need to log in before you can comment on or make changes to this bug.